core.math / LinearInterpolator

# LinearInterpolator

`class LinearInterpolator : Interpolator`

Interpolates values between the given data points using straight lines

### Constructors

<init> | `LinearInterpolator(xs: DoubleArray, ys: DoubleArray)` Interpolates values between the given data points using straight lines

### Functions

interpolate | `fun interpolate(x: Double): Double`

### Companion Object Functions

create | `fun create(xs: DoubleArray, ys: DoubleArray): LinearInterpolator`